Subject: Re: [PATCH for-3.19] vhost/net: fix up num_buffers endian-ness

From: Al Viro <[email-masked]>
Date: Wed, 4 Feb 2015 23:45:36 +0000

On Wed, Feb 04, 2015 at 01:59:42PM -0800, David Miller wrote:
> From: "Michael S. Tsirkin" <[email-masked]>
> Date: Tue, 3 Feb 2015 11:07:06 +0200
> 
> > In virtio 1.0 mode, when mergeable buffers are enabled on a big-endian
> > host, num_buffers wasn't byte-swapped correctly, so large incoming
> > packets got corrupted.
> > 
> > To fix, fill it in within hdr - this also makes sure it gets
> > the correct type.
> > 
> > Signed-off-by: Michael S. Tsirkin <[email-masked]>
> 
> Applied.

FWIW, conflict with iov_iter patches is trivial; once it shows up in
your kernel.org tree I can either rebase the series or just push
#merge-candidate - whichever you prefer.  Linus usually prefers the
second variant, but then he seriously dislikes rebasing of any sort;
I've no idea what your preferences are in that area...